For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Status
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
  • API Reference
      • GETList transcripts
      • POSTCreate transcript job
      • GETGet transcript
      • POSTAsk intelligence question
      • GETList intelligence questions
      • GETGet intelligence question status
Status
LogoLogo
API ReferenceSpeech to Text

Create transcript job

POST
https://app.resemble.ai/api/v2/speech-to-text
POST
/api/v2/speech-to-text
$curl -X POST https://app.resemble.ai/api/v2/speech-to-text \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: multipart/form-data" \
> -F file=@<file1>
1{
2 "success": true,
3 "item": {
4 "uuid": "string",
5 "status": "pending",
6 "created_at": "2024-01-15T09:30:00Z",
7 "updated_at": "2024-01-15T09:30:00Z"
8 }
9}
Submit audio or video for transcription
Was this page helpful?
Previous

Get transcript

Next
Built with

Authentication

AuthorizationBearer

API token from https://app.resemble.ai/account/api

Request

This endpoint expects a multipart form containing an optional file.
filefileOptional

Audio or video file (max 500 MB, 20 minutes)

querystringOptional
Optional intelligence question to evaluate after transcription

Response

Transcript job created
successboolean
itemobject

Errors

400
Bad Request Error